function [g_model l_section_names] = load_3D (model_name)

%% Femur Model
if strcmp(model_name, 'femur')
    l_model = read_wobj('./models/Femur/femur.obj');
    g_model.vertices = l_model.vertices;
    g_model.faces = l_model.objects(4).data.vertices; 
    
    g_model.bbox = [-0.0507 -0.0348 -0.2192; 0.0507 0.0348 0.2192];
    l_x = g_model.bbox(2,1) - g_model.bbox(1,1);
    l_y = g_model.bbox(2,2) - g_model.bbox(1,2);
    l_z = g_model.bbox(2,3) - g_model.bbox(1,3);
    g_model.bbox_diag = sqrt(l_x^2 + l_y^2 + l_z^2);
    g_model.bbox_origin = (g_model.bbox(1,:) + g_model.bbox(2,:))/2;
    g_sections = {};
    l_section_names = {
        './models/Femur/femur_1.obj'
        './models/Femur/femur_2.obj'
        './models/Femur/femur_3.obj'
        './models/Femur/femur_4.obj'
        './models/Femur/femur_5.obj'
        './models/Femur/femur_6.obj'
        './models/Femur/femur_7.obj'
        };
    
end


%% Duck Model
if strcmp(model_name, 'duck')
    l_model = read_wobj('./models/Duck/duck.obj');
    g_model.vertices = l_model.vertices;
    g_model.faces = l_model.objects(4).data.vertices; 
    
    g_model.bbox = [-49.5498 -146.1040 -133.5159; 49.5498 97.6614 134.2478];
    l_x = g_model.bbox(2,1) - g_model.bbox(1,1);
    l_y = g_model.bbox(2,2) - g_model.bbox(1,2);
    l_z = g_model.bbox(2,3) - g_model.bbox(1,3);
    g_model.bbox_diag = sqrt(l_x^2 + l_y^2 + l_z^2);
    g_model.bbox_origin = (g_model.bbox(1,:) + g_model.bbox(2,:))/2;
    g_sections = {};
    l_section_names = {
        './models/Duck/duck_1.obj'
        './models/Duck/duck_2.obj'
        './models/Duck/duck_3.obj'
        './models/Duck/duck_4.obj'
        './models/Duck/duck_5.obj'
        './models/Duck/duck_6.obj'
        './models/Duck/duck_7.obj'
        };
    
end

end